Subject: bug#35969: 26.2, Excorporate

From: Thomas Fitzsimmons <[email-masked]>
Date: Tue, 28 May 2019 21:04:54 -0400

Hi,

"tenspd137 ." <[email-masked]> writes:

> I was trying to use Excorporate through a proxy, and it fails.  I am
> pretty sure that my configuration is correct because I am able to
> retrieve *a* file when I use wget and https://server/EWS/Exchange.asmx
> and I can get a Services.wsdl file with
> https://server/EWS/Exchange.asmx.

Thanks for reporting.  Is just Emacs (not Excorporate) able to retrieve
the file through the proxy?  That is, starting from an "emacs -Q"
session, can you try just:

M-: (setq url-debug t)
M-: (url-retrieve-synchronously "https://server/EWS/Exchange.asmx")

and see what the *URL-DEBUG* and " *http server:443*" (note leading
space character) buffers contain afterwards?

Thanks,
Thomas